# List Contacts

> Source: https://truto.one/docs/api-reference/unified-marketing-automation-api/contacts/list/

`GET /unified/marketing-automation/contacts`

Resource: **Contacts** · API: **Unified Marketing Automation API**

## Supported integrations

ActiveCampaign, Beehiiv, Brevo, Constant Contact, ConvertKit, Customer.io, Flodesk, GetResponse, Highlevel, Klaviyo, Mailchimp, MailerLite

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`tags`** _(array<object>)_
  The contact's tags
- **`segments`** _(array<object>)_
- **`email`** _(string)_
  The contact's email
- **`created_at`** _(string)_
  The date and time of the contact's creation
- **`updated_at`** _(string)_
  The date and time of the contact's last update
- **`sort_by`** _(enum)_
  Allowed: `created_at`, `email`, `first_name`, `last_name`, `name`, `updated_at`
- **`name`** _(string)_
  The contact's full name
- **`workspace`** _(object)_
- **`lists`** _(array<object>)_
  Either set segment or lists
- **`list_id`** _(unknown)_
- **`campaigns`** _(array<object>)_
  The campaigns that the contact is added to
- **`status`** _(string)_
  The contact's subscription status
  Allowed: `active`, `bounced`, `cleaned`, `complained`, `unconfirmed`, `unsubscribed`
- **`first_name`** _(string)_
  The contact's first name
- **`last_name`** _(string)_
  The contact's last name
- **`phones`** _(array<object>)_
  The contact's phone numbers
- **`addresses`** _(array<object>)_
  The contact's addresses
- **`list`** _(unknown)_

## Response body

- **`result`** _(array<object>)_
  List of Contacts
  - **`id`** _(string, required)_
    The contact's unique identifier
  - **`first_name`** _(string)_
    The contact's first name
  - **`last_name`** _(string)_
    The contact's last name
  - **`name`** _(string)_
    The contact's full name
  - **`email`** _(string)_
    The contact's email
  - **`phones`** _(array<object>)_
    The contact's phone numbers
    - **`phone`** _(string)_
      The phone number
    - **`type`** _(string)_
      The phone number type
  - **`addresses`** _(array<object>)_
    The contact's addresses
    - **`street_1`** _(string)_
      The contact's first line of street address
    - **`street_2`** _(string)_
      The contact's second line of street address
    - **`city`** _(string)_
      The contact's city
    - **`state`** _(string)_
      The contact's state
    - **`country`** _(string)_
      The contact's country
    - **`postal_code`** _(string)_
      The contact's postal code
    - **`type`** _(string)_
      The address type
  - **`lists`** _(array<object>)_
    The lists that the contact is subscribed to
    - **`id`** _(string)_
      The list's unique identifier
  - **`tags`** _(array<object>)_
    The contact's tags
    - **`id`** _(string)_
      The tag's unique identifier
    - **`name`** _(string)_
      The tag's name
  - **`status`** _(string)_
    The contact's subscription status
  - **`updated_at`** _(string)_
    The date and time of the contact's last update
  - **`created_at`** _(string)_
    The date and time of the contact's creation
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/marketing-automation/contacts?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/marketing-automation/contacts?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/marketing-automation/contacts"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'marketing-automation',
  'contacts',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "marketing-automation",
        "contacts",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
